> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/cafsmartauth/installation.md).

# Instalação

Para integrar o **SDK CafSmartAuth** ao seu projeto iOS, você pode usar **Swift Package Manager (SPM)** ou **CocoaPods**. Abaixo estão as instruções detalhadas para ambos os métodos.

## Requisitos

* **Versão do iOS**: 15.0 ou superior
* **Versão do Xcode**: 15.4 ou superior
* **Versão do Swift**: 5.10 ou superior
* **Token Móvel CAF**: Um [mobileToken CAF](https://docs.caf.io/identity/access-token)

Certifique-se de que o `Info.plist` do seu app inclua as seguintes chaves com as descrições apropriadas:

* **NSCameraUsageDescription**: ex.: "O acesso à câmera é necessário para a verificação facial ao vivo."
* **NSLocationWhenInUseUsageDescription**: ex.: "O acesso à localização é necessário para fins de verificação durante a autenticação."

## Instalação

### Swift Package Manager (SPM)

1. **Abra seu projeto no Xcode**.
2. **Navegue até** `Arquivo` > `Adicionar Pacotes...`.
3. **Insira a URL do repositório**: `https://github.com/combateafraude/CafSmartAuth`
4. **Selecione a versão do SDK** que você deseja integrar.
5. **Conclua a integração** seguindo as instruções.

### CocoaPods

1. **Certifique-se de que o CocoaPods esteja instalado** no seu sistema. Se não estiver, instale-o usando:

```bash
   sudo gem install cocoapods
```

2. Navegue até o diretório do seu projeto no terminal.
3. Crie ou atualize seu Podfile com o seguinte conteúdo:

```bash
   platform :ios, '15.0'
    use_frameworks!

    target 'YourAppTarget' do
        pod 'CafSmartAuth', '~> 1.0.0-beta2'
    end
```

4. Instale o pod executando:

```bash
pod install
```

5. Abra o arquivo .xcworkspace gerado para trabalhar no seu projeto.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/cafsmartauth/installation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
